Skip to content

Publish a new version from the template's source (or another artifact_id / folder_id)

POST
/v1/artifact-templates/{templateId}/versions
curl --request POST \
--url https://shareout.site/v1/artifact-templates/example/versions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "version": "1.1.0", "notes": "example", "artifact_id": "example", "folder_id": "example", "include_sample_rows": true, "acknowledge_findings": true, "preview": true }'
templateId
required
string
Media typeapplication/json
object
version
string
Example
1.1.0
notes
string
artifact_id
string
folder_id
string
include_sample_rows
boolean
acknowledge_findings
boolean
preview
boolean

New version; installed copies show update available